Subject: Re: [PATCH] ptp: ocp: Add newline to sysfs attribute output

From: Jakub Kicinski <[email-masked]>
Date: Sun, 2 Nov 2025 16:00:28 -0800

On Sat, 1 Nov 2025 23:45:00 +0000 Vadim Fedorenko wrote:
> On 31/10/2025 23:59, Jakub Kicinski wrote:
> > On Thu, 30 Oct 2025 20:45:19 +0800 Zhongqiu Han wrote:  
> >> Append a newline character to the sysfs_emit() output in ptp_ocp_tty_show.
> >> This aligns with common kernel conventions and improves readability for
> >> userspace tools that expect newline-terminated values.  
> > 
> > Vadim? Is the backward compat here a concern?  
> 
> Well, unfortunately, this patch breaks software we use:
> 
> openat(AT_FDCWD, "/dev/ttyS4\n", O_RDWR|O_NONBLOCK) = -1 ENOENT (No such 
> file or directory)
> newfstatat(AT_FDCWD, "/etc/localtime", {st_mode=S_IFREG|0644, 
> st_size=114, ...}, 0) = 0
> write(2, "23:40:33 \33[31mERROR\33[0m ", 2423:40:33 ERROR ) = 24
> write(2, "Could not open sa5x device\n", 27Could not open sa5x device
> 
> So it looks like uAPI change, which is already used...
> 

Zhongqiu Han please consider sending a patch to add a comment above 
the unfortunate emit() explaining that we can't change it now.
I get the feeling that otherwise this "fix" may resurface.
-- 
pw-bot: cr